
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author Yami
 */
public class TimeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "当前日期")
    private String dateTime;

    @Schema(description = "当前营业时间集合")
    private List<String> hourTimes;

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public List<String> getHourTimes() {
        return hourTimes;
    }

    public void setHourTimes(List<String> hourTimes) {
        this.hourTimes = hourTimes;
    }

    public TimeVO(String dateTime, List<String> hourTimes) {
        this.dateTime = dateTime;
        this.hourTimes = hourTimes;
    }

    @Override
    public String toString() {
        return "TimeVO{" +
                "dateTime='" + dateTime + '\'' +
                ", hourTimes=" + hourTimes +
                '}';
    }
}
